|
| BRepBuilderAPI_MakeEdge2d (const TopoDS_Vertex &V1, const TopoDS_Vertex &V2) |
|
| BRepBuilderAPI_MakeEdge2d (const gp_Pnt2d &P1, const gp_Pnt2d &P2) |
|
| BRepBuilderAPI_MakeEdge2d (const gp_Lin2d &L) |
|
| BRepBuilderAPI_MakeEdge2d (const gp_Lin2d &L, const Standard_Real p1, const Standard_Real p2) |
|
| BRepBuilderAPI_MakeEdge2d (const gp_Lin2d &L, const gp_Pnt2d &P1, const gp_Pnt2d &P2) |
|
| BRepBuilderAPI_MakeEdge2d (const gp_Lin2d &L, const TopoDS_Vertex &V1, const TopoDS_Vertex &V2) |
|
| BRepBuilderAPI_MakeEdge2d (const gp_Circ2d &L) |
|
| BRepBuilderAPI_MakeEdge2d (const gp_Circ2d &L, const Standard_Real p1, const Standard_Real p2) |
|
| BRepBuilderAPI_MakeEdge2d (const gp_Circ2d &L, const gp_Pnt2d &P1, const gp_Pnt2d &P2) |
|
| BRepBuilderAPI_MakeEdge2d (const gp_Circ2d &L, const TopoDS_Vertex &V1, const TopoDS_Vertex &V2) |
|
| BRepBuilderAPI_MakeEdge2d (const gp_Elips2d &L) |
|
| BRepBuilderAPI_MakeEdge2d (const gp_Elips2d &L, const Standard_Real p1, const Standard_Real p2) |
|
| BRepBuilderAPI_MakeEdge2d (const gp_Elips2d &L, const gp_Pnt2d &P1, const gp_Pnt2d &P2) |
|
| BRepBuilderAPI_MakeEdge2d (const gp_Elips2d &L, const TopoDS_Vertex &V1, const TopoDS_Vertex &V2) |
|
| BRepBuilderAPI_MakeEdge2d (const gp_Hypr2d &L) |
|
| BRepBuilderAPI_MakeEdge2d (const gp_Hypr2d &L, const Standard_Real p1, const Standard_Real p2) |
|
| BRepBuilderAPI_MakeEdge2d (const gp_Hypr2d &L, const gp_Pnt2d &P1, const gp_Pnt2d &P2) |
|
| BRepBuilderAPI_MakeEdge2d (const gp_Hypr2d &L, const TopoDS_Vertex &V1, const TopoDS_Vertex &V2) |
|
| BRepBuilderAPI_MakeEdge2d (const gp_Parab2d &L) |
|
| BRepBuilderAPI_MakeEdge2d (const gp_Parab2d &L, const Standard_Real p1, const Standard_Real p2) |
|
| BRepBuilderAPI_MakeEdge2d (const gp_Parab2d &L, const gp_Pnt2d &P1, const gp_Pnt2d &P2) |
|
| BRepBuilderAPI_MakeEdge2d (const gp_Parab2d &L, const TopoDS_Vertex &V1, const TopoDS_Vertex &V2) |
|
| BRepBuilderAPI_MakeEdge2d (const Handle< Geom2d_Curve > &L) |
|
| BRepBuilderAPI_MakeEdge2d (const Handle< Geom2d_Curve > &L, const Standard_Real p1, const Standard_Real p2) |
|
| BRepBuilderAPI_MakeEdge2d (const Handle< Geom2d_Curve > &L, const gp_Pnt2d &P1, const gp_Pnt2d &P2) |
|
| BRepBuilderAPI_MakeEdge2d (const Handle< Geom2d_Curve > &L, const TopoDS_Vertex &V1, const TopoDS_Vertex &V2) |
|
| BRepBuilderAPI_MakeEdge2d (const Handle< Geom2d_Curve > &L, const gp_Pnt2d &P1, const gp_Pnt2d &P2, const Standard_Real p1, const Standard_Real p2) |
|
| BRepBuilderAPI_MakeEdge2d (const Handle< Geom2d_Curve > &L, const TopoDS_Vertex &V1, const TopoDS_Vertex &V2, const Standard_Real p1, const Standard_Real p2) |
|
void | Init (const Handle< Geom2d_Curve > &C) |
|
void | Init (const Handle< Geom2d_Curve > &C, const Standard_Real p1, const Standard_Real p2) |
|
void | Init (const Handle< Geom2d_Curve > &C, const gp_Pnt2d &P1, const gp_Pnt2d &P2) |
|
void | Init (const Handle< Geom2d_Curve > &C, const TopoDS_Vertex &V1, const TopoDS_Vertex &V2) |
|
void | Init (const Handle< Geom2d_Curve > &C, const gp_Pnt2d &P1, const gp_Pnt2d &P2, const Standard_Real p1, const Standard_Real p2) |
|
void | Init (const Handle< Geom2d_Curve > &C, const TopoDS_Vertex &V1, const TopoDS_Vertex &V2, const Standard_Real p1, const Standard_Real p2) |
|
virtual Standard_Boolean | IsDone () const override |
|
BRepBuilderAPI_EdgeError | Error () const |
| Returns the error description when NotDone. More...
|
|
const TopoDS_Edge & | Edge () |
|
| operator TopoDS_Edge () |
|
const TopoDS_Vertex & | Vertex1 () const |
| Returns the first vertex of the edge. May be Null. More...
|
|
const TopoDS_Vertex & | Vertex2 () const |
| Returns the second vertex of the edge. May be Null. More...
|
|
virtual void | Build () |
| This is called by Shape(). It does nothing but may be redefined. More...
|
|
virtual const TopoDS_Shape & | Shape () |
| Returns a shape built by the shape construction algorithm. Raises exception StdFail_NotDone if the shape was not built. More...
|
|
| operator TopoDS_Shape () |
|
virtual const TopTools_ListOfShape & | Generated (const TopoDS_Shape &S) |
| Returns the list of shapes generated from the shape <S>. More...
|
|
virtual const TopTools_ListOfShape & | Modified (const TopoDS_Shape &S) |
| Returns the list of shapes modified from the shape <S>. More...
|
|
virtual Standard_Boolean | IsDeleted (const TopoDS_Shape &S) |
| Returns true if the shape S has been deleted. More...
|
|
Public Member Functions inherited from BRepBuilderAPI_Command |
virtual | ~BRepBuilderAPI_Command () |
|
void | Check () const |
| Raises NotDone if done is false. More...
|
|
Provides methods to build edges.
The methods have the following syntax, where TheCurve is one of Lin2d, Circ2d, ...
Create(C : TheCurve)
Makes an edge on the whole curve. Add vertices on finite curves.
Create(C : TheCurve; p1,p2 : Real)
Make an edge on the curve between parameters p1 and p2. if p2 < p1 the edge will be REVERSED. If p1 or p2 is infinite the curve will be open in that direction. Vertices are created for finite values of p1 and p2.
Create(C : TheCurve; P1, P2 : Pnt2d from gp)
Make an edge on the curve between the points P1 and P2. The points are projected on the curve and the previous method is used. An error is raised if the points are not on the curve.
Create(C : TheCurve; V1, V2 : Vertex from TopoDS)
Make an edge on the curve between the vertices V1 and V2. Same as the previous but no vertices are created. If a vertex is Null the curve will be open in this direction.